Rivet: Experiment-specific photon efficiency and smearing functions

| Rivet 3.1.9

Functions
Experiment-specific photon efficiency and smearing functions
Detector smearing & efficiency functions

## Functions
double | Rivet::PHOTON_EFF_ATLAS_RUN1 (const Particle &y)
| ATLAS Run 2 photon reco efficiency.
double | Rivet::PHOTON_EFF_ATLAS_RUN2 (const Particle &y)
| ATLAS Run 2 photon reco efficiency.
double | Rivet::PHOTON_EFF_CMS_RUN1 (const Particle &y)
double | Rivet::PHOTON_EFF_CMS_RUN2 (const Particle &y)
Particle | Rivet::PHOTON_SMEAR_ATLAS_RUN1 (const Particle &y)
Particle | Rivet::PHOTON_SMEAR_ATLAS_RUN2 (const Particle &y)
Particle | Rivet::PHOTON_SMEAR_CMS_RUN1 (const Particle &y)
Particle | Rivet::PHOTON_SMEAR_CMS_RUN2 (const Particle &y)

## Detailed Description

## Function Documentation

## ◆ PHOTON_EFF_ATLAS_RUN1()

double Rivet::PHOTON_EFF_ATLAS_RUN1 | ( | const Particle & | y | ) |
| inline

ATLAS Run 2 photon reco efficiency.

Taken from converted photons, Fig 8, in arXiv:1606.01813

<

Todo:
  Allow electron misID? What about jet misID?

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), Rivet::binIndex(), Rivet::inRange(), and Rivet::ParticleBase::pT().

## ◆ PHOTON_EFF_ATLAS_RUN2()

double Rivet::PHOTON_EFF_ATLAS_RUN2 | ( | const Particle & | y | ) |
| inline

ATLAS Run 2 photon reco efficiency.

Taken from converted photons, Fig 6, in ATL-PHYS-PUB-2016-014

<

Todo:
  Allow electron misID? What about jet misID?

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), Rivet::binIndex(), Rivet::inRange(), and Rivet::ParticleBase::pT().

## ◆ PHOTON_EFF_CMS_RUN1()

double Rivet::PHOTON_EFF_CMS_RUN1 | ( | const Particle & | y | ) |
| inline

CMS Run 1 photon reco efficiency

Todo:
  Currently from Delphes

<

Todo:
  Allow electron misID? What about jet misID?

References Rivet::ParticleBase::abseta(), Rivet::Particle::abspid(), and Rivet::ParticleBase::pT().

Referenced by Rivet::PHOTON_EFF_CMS_RUN2().

## ◆ PHOTON_EFF_CMS_RUN2()

double Rivet::PHOTON_EFF_CMS_RUN2 | ( | const Particle & | y | ) |
| inline

CMS Run 2 photon reco efficiency

Todo:
  Currently just a copy of Run 1: fix!

<

Todo:
  Allow electron misID? What about jet misID?

References Rivet::Particle::abspid(), and Rivet::PHOTON_EFF_CMS_RUN1().

## ◆ PHOTON_SMEAR_ATLAS_RUN1()

Particle Rivet::PHOTON_SMEAR_ATLAS_RUN1 | ( | const Particle & | y | ) |
| inline

Todo:
  Use real photon smearing